Bug 489438 - repoquery returns results not in the repo
repoquery returns results not in the repo
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 22:39 EDT by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 09:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-09 22:39:40 EDT
Description of problem:

On a F-10 box (or, really, anything other than rawhide)

[root@apone ~]# repoquery  -q --repoid rawhide --whatprovides /bin/bash
bash-0:4.0-2.fc11.x86_64
bash-0:3.2-30.fc10.x86_64

Logically, it shouldn't be returning the installed F-10 package, certainly not when passing --repoid.

Version-Release number of selected component (if applicable):

yum-utils-1.1.19-1.fc10.noarch
Comment 1 seth vidal 2009-03-11 09:25:53 EDT
fixed in git upstream. repoquery will no longer return any installed pkg objects.

Note You need to log in before you can comment on or make changes to this bug.